/**********************************************************************
Copyright (c) 2012 Nicolas Seyvet and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
   ...
**********************************************************************/
package org.datanucleus.store.hbase.metadata;

/**
 * List of supported metadata extensions.
 */
public enum MetaDataExtension
{
    IN_MEMORY,
    BLOOM_FILTER,
    KEEP_DELETED_CELLS,
    COMPRESSION,
    BLOCK_CACHE_ENABLED,
    TIME_TO_LIVE,
    MAX_VERSIONS;

    public static MetaDataExtension parse(final String extension)
    {
        if (extension == null)
        {
            return null;
        }
        try
        {
            return MetaDataExtension.valueOf(extension);
        }
        catch (IllegalArgumentException e)
        {
            return null;
        }
    }
}